Open CASCADE Technology: DDataStd_TreeBrowser Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
DDataStd_TreeBrowser Class Reference

# Browses a TreeNode from TDataStd.

More...

`#include <DDataStd_TreeBrowser.hxx>`

Inheritance diagram for DDataStd_TreeBrowser:
[legend]

## Public Member Functions
| DDataStd_TreeBrowser (const TDF_Label &root)
void | DrawOn (Draw_Display &dis) const
virtual Handle< Draw_Drawable3D > | Copy () const
| For variable copy. More...
virtual void | Dump (Standard_OStream &S) const
| For variable dump. More...
virtual void | Whatis (Draw_Interpretor &I) const
| # Specific methods More...
void | Label (const TDF_Label &root)
TDF_Label | Label () const
TCollection_AsciiString | OpenRoot () const
| Returns a string composed with the TreeNode of <myLabel>. More...
TCollection_AsciiString | OpenNode (const TDF_Label &L) const
| Returns a string composed with the sub-TreeNodes of <L> More...
Public Member Functions inherited from Draw_Drawable3D
virtual Standard_Boolean | PickReject (const Standard_Real X, const Standard_Real Y, const Standard_Real Prec) const
| Returs True if the pick is outside the box. More...
virtual Standard_Boolean | Is3D () const
| Is a 3D object. (Default True). More...
void | SetBounds (const Standard_Real xmin, const Standard_Real xmax, const Standard_Real ymin, const Standard_Real ymax)
void | Bounds (Standard_Real &xmin, Standard_Real &xmax, Standard_Real &ymin, Standard_Real &ymax) const
Standard_Boolean | Visible () const
void | Visible (const Standard_Boolean V)
Standard_Boolean | Protected () const
void | Protected (const Standard_Boolean P)
Standard_CString | Name () const
virtual void | Name (const Standard_CString N)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Draw_Drawable3D
| Draw_Drawable3D ()

## Detailed Description

# Browses a TreeNode from TDataStd.

## Constructor & Destructor Documentation

DDataStd_TreeBrowser::DDataStd_TreeBrowser | ( | const TDF_Label & | root | ) |

## Member Function Documentation

virtual Handle< Draw_Drawable3D > DDataStd_TreeBrowser::Copy | ( |  | ) | const
| virtual

For variable copy.

Reimplemented from Draw_Drawable3D.

void DDataStd_TreeBrowser::DrawOn | ( | Draw_Display & | dis | ) | const
| virtual

Implements Draw_Drawable3D.

virtual void DDataStd_TreeBrowser::Dump | ( | Standard_OStream & | S | ) | const
| virtual

For variable dump.

Reimplemented from Draw_Drawable3D.

void DDataStd_TreeBrowser::Label | ( | const TDF_Label & | root | ) |

TDF_Label DDataStd_TreeBrowser::Label | ( |  | ) | const

TCollection_AsciiString DDataStd_TreeBrowser::OpenNode | ( | const TDF_Label & | L | ) | const

Returns a string composed with the sub-TreeNodes of <L>

TCollection_AsciiString DDataStd_TreeBrowser::OpenRoot | ( |  | ) | const

Returns a string composed with the TreeNode of <myLabel>.

virtual void DDataStd_TreeBrowser::Whatis | ( | Draw_Interpretor & | I | ) | const
| virtual

# Specific methods

Reimplemented from Draw_Drawable3D.

The documentation for this class was generated from the following file:

- DDataStd_TreeBrowser.hxx